Bug 733701 - SELinux is preventing /lib/udev/iphone-set-info from 'create' accesses on the file libimobiledevicerc.
Summary: SELinux is preventing /lib/udev/iphone-set-info from 'create' accesses on the...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libgpod
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:739393765d03824d682280b85bf...
: 733702 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 14:36 UTC by dario
Modified: 2013-02-13 11:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 11:33:22 UTC


Attachments (Terms of Use)

Description dario 2011-08-26 14:36:02 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.0.0-1.fc16.x86_64
reason:         SELinux is preventing /lib/udev/iphone-set-info from 'create' accesses on the file libimobiledevicerc.
time:           Fri Aug 26 10:01:11 2011

description:
:SELinux is preventing /lib/udev/iphone-set-info from 'create' accesses on the file libimobiledevicerc.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that iphone-set-info should be allowed create access on the libimobiledevicerc file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep iphone-set-info /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:udev_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:gconf_home_t:s0
:Target Objects                libimobiledevicerc [ file ]
:Source                        iphone-set-info
:Source Path                   /lib/udev/iphone-set-info
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           libgpod-0.8.2-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-15.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.0.0-1.fc16.x86_64 #1 SMP Fri
:                              Jul 22 16:09:29 UTC 2011 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fri 26 Aug 2011 09:24:42 AM VET
:Last Seen                     Fri 26 Aug 2011 09:24:42 AM VET
:Local ID                      a2bee57f-f295-4331-b3d9-0a736e44ba74
:
:Raw Audit Messages
:type=AVC msg=audit(1314366882.387:95): avc:  denied  { create } for  pid=7063 comm="iphone-set-info" name="libimobiledevicerc" scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gconf_home_t:s0 tclass=file
:
:
:type=AVC msg=audit(1314366882.387:95): avc:  denied  { write open } for  pid=7063 comm="iphone-set-info" name="libimobiledevicerc" dev=sda8 ino=157165 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gconf_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1314366882.387:95): arch=x86_64 syscall=open success=yes exit=EINTR a0=d44f30 a1=241 a2=1b6 a3=1 items=0 ppid=1 pid=7063 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=iphone-set-info exe=/lib/udev/iphone-set-info subj=system_u:system_r:udev_t:s0-s0:c0.c1023 key=(null)
:
:Hash: iphone-set-info,udev_t,gconf_home_t,file,create
:
:audit2allow
:
:#============= udev_t ==============
:#!!!! The source type 'udev_t' can write to a 'file' of the following types:
:# xend_var_log_t, net_conf_t, udev_var_run_t, etc_t, tmpfs_t, root_t
:
:allow udev_t gconf_home_t:file { write create open };
:
:audit2allow -R
:
:#============= udev_t ==============
:#!!!! The source type 'udev_t' can write to a 'file' of the following types:
:# xend_var_log_t, net_conf_t, udev_var_run_t, etc_t, tmpfs_t, root_t
:
:allow udev_t gconf_home_t:file { write create open };
:

Comment 1 Daniel Walsh 2011-08-26 18:00:39 UTC
*** Bug 733702 has been marked as a duplicate of this bug. ***

Comment 2 Daniel Walsh 2011-08-26 18:03:35 UTC
I am a little concerned about allow an ipod being connected to a machine to write to the /root directory?

Why is iphone-set-info writing in /root/.config?

Should we setup a homedir for this script so it writes somewhere else?

Comment 3 Christophe Fergeau 2011-08-31 13:51:05 UTC
This write is unexpected, it seems to be caused by libimobiledevice? I can't really investigate before 10 days though.

Comment 4 Bastien Nocera 2012-09-05 09:47:21 UTC
(In reply to comment #3)
> This write is unexpected, it seems to be caused by libimobiledevice? I can't
> really investigate before 10 days though.

libimobiledevice needs this to store the device's keys. It's a requirement if you want to communicate with the device.

Comment 5 Alan Hamilton 2012-09-05 18:08:45 UTC
I believe it's used in the root environment because upowerd uses libimobiledevice to manage power for iOS devices.

Comment 6 Daniel Walsh 2012-09-07 03:15:10 UTC
Do we actually want the keys stored there for a services keys in the users homedir.  I guess we can allow it, but it does seem unexpected.

Comment 7 Fedora End Of Life 2013-01-16 11:56:55 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora End Of Life 2013-02-13 11:33:25 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.